Bug 986584 - Maven repo: Reference to a non-productized parent
Maven repo: Reference to a non-productized parent
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ER05
: 6.2.0
Assigned To: hfnukal@redhat.com
Filip Kiss
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 16:48 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2013-07-20 16:48:35 EDT
Description of problem:
The parent defined in org/gatein/portal/gatein-portal-build-config/3.6.0.Final-redhat-1/gatein-portal-build-config-3.6.0.Final-redhat-1.pom is org.jboss:jboss-parent:9, which is not present in the repository (even though it is available in Maven Central). It is a non-productized version of org.jboss:jboss-parent:9-redhat-1, which is what other artifacts in the repo use and what this one should use as well.
Comment 2 Miroslav Cupák 2013-10-02 10:46:27 EDT
Reopening as this became a problem again in 6.1.0.CR03.
Comment 3 Filip Kiss 2014-01-28 04:07:46 EST
This issue is still present for 6.1.1.ER01. 

org/gatein/portal/gatein-portal-build-config/gatein-portal-build-config-3.6.4.Final-redhat-1.pom
Comment 4 hfnukal@redhat.com 2014-06-26 07:41:41 EDT
Fixed in 6.2.0.ER4
Comment 5 Filip Kiss 2014-07-14 04:51:51 EDT
This issue is still present in 6.2.0.ER04.

org/gatein/portal/gatein-portal-build-config/gatein-portal-build-config-3.8.2.Final-redhat-1.pom

Parent defined in this pom is org.jboss:jboss-parent:9 which is non-productized.
Comment 6 Filip Kiss 2014-09-04 08:33:19 EDT
This issue is still present in 6.2.0.ER05.
Comment 7 Filip Kiss 2014-09-17 10:47:16 EDT
Changing to verified.

Note You need to log in before you can comment on or make changes to this bug.